package creim.business.mapping;

import creim.art.painter.CurveBrushPainter;
import creim.art.painter.StraightBrushPainter;
import creim.graphics.colors.ColorPalette;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @author Viktor
 */
public class Mapping {
	List<Element> rows;
	
	
}

class MusicParameter {
	public String name;
	public float min;
	public float max;
	public float value;
}

class Element {
	public float inputmin;
	public float inputmax;
	
	public float outputmin;
	public float outputmax;
	
	public Tool tool;

	@Override
	public String toString() {
		return "Element{" + "inputmin=" + inputmin + ", inputmax=" + inputmax + ", outputmin=" + outputmin + ", outputmax=" + outputmax + ", tool=" + tool + '}';
	}
}

class Tool {
	public static final Map<Class, Integer> toolmap = new HashMap<Class, Integer>(){{
		put(StraightBrushPainter.class, 6);
		put(CurveBrushPainter.class, 6);
		put(ColorPalette.class, 6);
	}};
}