package creim.graphics.colors;

import java.awt.Color;

public class RGB {

	public float r;
	public float g;
	public float b;

	public RGB() {
	}

	public RGB(float r, float g, float b) {
		this.r = r;
		this.g = g;
		this.b = b;
	}
	
	public RGB(Color c) {
		r = c.getRed() / 255f;
		g = c.getGreen() / 255f;
		b = c.getBlue() / 255f;
	}
	
	public Color toColor() {
		return new Color((int)(r * 255), (int)(g * 255), (int)(b * 255));
	}

	@Override
	public String toString() {
		return "RGB{" + "r=" + r + ", g=" + g + ", b=" + b + '}';
	}
	
}
