package creim.graphics.effect;

import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;



public abstract class ImageEffect {
	
	protected BufferedImage image;
	
	public ImageEffect(BufferedImage image) {
		this.image = image;
	}
	
	public abstract BufferedImage apply();
	
	
	public void load(File file) throws IOException {
		image = ImageIO.read(file);
	}
}
